### Signal

# Atk Object::announcement

since: 2.46

#### Declaration

    void
    announcement (
      AtkObject* self,
      gchar* arg1,
      gpointer user_data
    )

#### Description [src]

The “announcement” signal can be emitted to pass an announcement on to be read by a screen reader.

Depcrecated (2.50): Use AtkObject::notification instead.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.46

#### Parameters

`arg1`

  Type: `gchar*`

  The text to be announced.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.